%global npm_name safe-buffer
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 5.1.2
Release: %mkrel 5
Summary: Safer Node
License: MIT
Group: Development/Other
URL: https://github.com/feross/safe-buffer
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 5.1.2-5.mga10
+ Revision: 2208262
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 5.1.2-4.mga9
+ Revision: 1818647
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 5.1.2-3.mga8
+ Revision: 1503147
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.1.2-2.mga7
+ Revision: 1280935
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 5.1.2-1.mga7
+ Revision: 1224802
- imported package nodejs-safe-buffer

